package cn.com.poc.knowledge.aggregate;

import cn.com.poc.knowledge.entity.BizKnowledgeDocumentEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface KnowledgeService {

    /**
     * 上传文档
     *
     * @param documentFiles 文档
     * @return 是否成功
     */
    List<BizKnowledgeDocumentEntity> uploadDocument(MultipartFile[] documentFiles) throws Exception;

    /**
     * 删除文档
     *
     * @param kdId 主键ID
     * @return 是否成功
     */
    Boolean delDocument(Integer kdId);


    /**
     * 重命名
     *
     * @param kdId
     * @param rename
     * @return
     */
    Boolean renameDocument(Integer kdId, String rename) throws Exception;

    /**
     * 启用 / 关闭
     */
    String enableKnowledge(Integer kdId) throws Exception;

    /**
     * 开启训练
     */
    Boolean trainKnowledge(List<Integer> kdId) throws Exception;

    /**
     * 获取用户知识库
     */
    List<BizKnowledgeDocumentEntity> getList(String search, String trainStatus, PagingInfo pagingInfo) throws Exception;

    /**
     * 获取用户知识库
     */
    List<BizKnowledgeDocumentEntity> getListByKdIds(List<Integer> kdIds);


}
